%define upstream_name    Gtk2-TrayManager
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl bindings for EggTrayManager
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
URL:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: gtk+2-devel
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-Gtk2
BuildRequires: perl-Glib > 1.00 
BuildRequires: perl-ExtUtils-PkgConfig 
BuildRequires: perl-devel

Requires: gtk+2

%description
The EggTrayManager library is used internally by GNOME to implement the
server-side of the Notification Area (or system tray) protocol.

Gtk2::TrayManager allows you to create notification area applications using
Gtk2-Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/Gtk2/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524819
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-7.mga4
+ Revision: 431574
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.50.0-6.mga3
+ Revision: 389377
- cleanup br

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-5.mga3
+ Revision: 367943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-4.mga3
+ Revision: 250748
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.50.0-3.mga2
+ Revision: 135834
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.50.0-2.mga2
+ Revision: 104483
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 36353
- mageia rebuild
- imported package perl-Gtk2-TrayManager


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 403232
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.05-6mdv2009.0
+ Revision: 257187
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2008.1
+ Revision: 152117
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.05-3mdv2008.1
+ Revision: 122674
- kill re-definition of %%buildroot on Pixel's request


* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-3mdk
- fix mistake

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix BuildRequires

* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-1mdk
- initial release

